# For Haskell Packaging Guidelines see:
# - https://fedoraproject.org/wiki/Packaging:Haskell
# - https://fedoraproject.org/wiki/PackagingDrafts/Haskell

%global pkg_name hinotify

%global common_summary Haskell binding to INotify

%global common_description This library provides a wrapper to the Linux Kernel's inotify \
feature, allowing applications to subscribe to notifications \
when a file is accessed or modified.

Name:           ghc-%{pkg_name}
Version:        0.3.1
Release:        11%{?dist}
Summary:        %{common_summary}

Group:          System Environment/Libraries
License:        BSD
URL:            http://hackage.haskell.org/cgi-bin/hackage-scripts/package/%{pkg_name}
Source0:        http://hackage.haskell.org/packages/archive/%{pkg_name}/%{version}/%{pkg_name}-%{version}.tar.gz
ExclusiveArch:  %{ghc_arches}
BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-rpm-macros
BuildRequires:  hscolour
BuildRequires:  ghc-containers-prof, ghc-directory-prof, ghc-unix-prof
Patch1:         hinotify-no-via-C.patch

%description
%{common_description}


%prep
%setup -q -n %{pkg_name}-%{version}
%patch1 -p1 -b .orig


%build
%ghc_lib_build


%install
%ghc_lib_install
mkdir -p %{buildroot}/%{_docdir}/%{name}-%{version}
install -p README %{buildroot}/%{_docdir}/%{name}-%{version}/README


# define the devel and prof subpkgs, devel post[un] scripts, and filelists:
# ghc-%%pkg_name{,devel,prof}.files
%ghc_lib_package


%changelog
* Thu Jun 23 2011 Jens Petersen <petersen@redhat.com> - 0.3.1-11
- BR ghc-Cabal-devel instead of ghc-prof and use ghc_arches (cabal2spec-0.23.2)
- don't build via-C since it breaks assembler on x86_64 (#715799)

* Wed May 11 2011 Ben Boeckel <mathstuf@gmail.com> - 0.3.1-10
- Update to cabal2spec-0.22.7

* Thu Mar 10 2011 Fabio M. Di Nitto <fdinitto@redhat.com> - 0.3.1-9
- Enable build on sparcv9

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.1-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sat Jan 15 2011 Ben Boeckel <mathstuf@gmail.com> - 0.3.1-7
- Update to cabal2spec-0.22.4
- Rebuild

* Sun Nov 28 2010 Ben Boeckel <mathstuf@gmail.com> - 0.3.1-6
- Rebuild for GHC7

* Sun Nov 07 2010 Ben Boeckel <mathstuf@gmail.com> - 0.3.1-5
- Rebuild

* Wed Sep 01 2010 Ben Boeckel <mathstuf@gmail.com> - 0.3.1-4
- Ship the readme as well

* Tue Aug 31 2010 Ben Boeckel <mathstuf@gmail.com> - 0.3.1-3
- Update to new cabal2spec

* Wed Jun 30 2010 Ben Boeckel <mathstuf@gmail.com> - 0.3.1-2
- Merge with cabal2spec-0.22.1 spec

* Thu May 20 2010 Ben Boeckel <mathstuf@gmail.com> - 0.3.1-1
- Initial version

* Thu May 20 2010 Fedora Haskell SIG <haskell-devel@lists.fedoraproject.org> - 0.3.1-0
- initial packaging for Fedora automatically generated by cabal2spec-0.21.3
